# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'singularity_task_history/version'

Gem::Specification.new do |spec|
  spec.name          = 'singularity_task_history'
  spec.version       = SingularityTaskHistory::VERSION
  spec.authors       = ['Carl Flippin']
  spec.email         = ['cflippin@opentable.com']

  spec.summary       = 'Sensu check for singularity task history'
  spec.homepage      = 'http://github.com/carlf/singularity_task_history'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'http://artifactory.otenv.com'
  else
    fail 'RubyGems 2.0 or newer is required.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'bin'
  spec.executables   = 'singularity_task_history'
  spec.require_paths = ['lib']

  spec.add_dependency('zookeeper')
  spec.add_dependency('sensu-plugin')
  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
end
